Name:          reportng
Version:       1.1.3
Release:       %mkrel 2
Summary:       An HTML/XML reporting plugin for TestNG
Group:         Development/Java
License:       ASL 2.0
Url:           http://reportng.uncommons.org/
# mkdir -p reportng-1.1.3
# git clone git://github.com/dwdyer/reportng.git
# cd reportng
# git archive Release-1.1.3 | tar -x -C ../reportng-1.1.3
# cd ..
# tar czf reportng-1.1.3-src-git.tar.gz reportng-1.1.3
Source0:       reportng-1.1.3-src-git.tar.gz
Patch0:        reportng-1.1.3-pom.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: testng
BuildRequires: uncommons-antlib
BuildRequires: velocity

Requires:      testng
Requires:      velocity

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
ReportNG is a simple HTML reporting plug-in for the TestNG unit-testing framework. It
is intended as a replacement for the default TestNG HTML report. The default report
is comprehensive but is not so easy to understand at-a-glance. ReportNG provides a simple,
colour-coded view of the test results. 

%prep
%setup -q -n reportng-%{version}
find . -iname '*.jar' -delete
find . -iname '*.class' -delete
%patch0 -p0

ln -sf $(build-classpath testng) lib/compiletime/testng/testng-5.13.1.jar
ln -sf $(build-classpath uncommons-antlib) lib/compiletime/uncommons-antlib-0.3.1.jar
ln -sf $(build-classpath velocity) reportng/lib/runtime/velocity.jar
sed -i "s|velocity-dep-1.4.jar|velocity.jar|" build.xml
sed -i "s|<version>@VERSION@</version>|<version>%{version}</version>|" reportng/pom.xml

%build

ant jar

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 %{name}/build/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 reportng/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%post
%update_maven_depmap

%preun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/
%doc CHANGELOG.txt LICENSE.txt NOTICE.txt README.txt


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.1.3-2.mga3
+ Revision: 380321
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 gil <gil> 1.1.3-1.mga2
+ Revision: 163010
- imported package reportng

